--- a/debian/changelog Sun May 13 11:25:08 2007 +0200
+++ b/debian/changelog Wed May 16 22:35:54 2007 +0200
@@ -1,3 +1,10 @@ grml-scripts (1.0.0) unstable; urgency=l
+grml-scripts (1.0.1) unstable; urgency=low
+
+ * grml-lock: allow using it on grml-small too. Thanks for
+ information, Niklas Schnelle!
+
+ -- Michael Prokop <mika@grml.org> Wed, 16 May 2007 22:35:29 +0200
+
grml-scripts (1.0.0) unstable; urgency=low
* We have a new stable release!
--- a/usr_bin/grml-lock Sun May 13 11:25:08 2007 +0200
+++ b/usr_bin/grml-lock Wed May 16 22:35:54 2007 +0200
@@ -11,7 +11,11 @@ PN=$0
if [ -r /etc/grml/script-functions ] ; then
. /etc/grml/script-functions
- check4progs vlock xlock sudo chpasswd dialog || { echo "Sorry, can't continue. Exiting.">&2 ; exit 1 }
+ if [ -x /usr/bin/X ] ; then
+ check4progs vlock xlock sudo chpasswd dialog || { echo "Sorry, can't continue. Exiting.">&2 ; exit 1 }
+ else
+ check4progs sudo chpasswd dialog || { echo "Sorry, can't continue. Exiting.">&2 ; exit 1 }
+ fi
fi
if [ -r /etc/grml_version ] ; then